Retrieve current transfer limits of the system
Returns transfer limits for `inputToken`, `outputToken`, `originChainId`, and `destinationChainId`.
Authorization
bearerAuth API key for authentication. Request your key at https://t.me/acrosstg.
In: header
Query Parameters
Address of token to bridge on the origin chain. Must be used together with parameter outputToken. For ETH, use the wrapped address, like WETH.
Note that the address provided must exist on the specified originChainId.
Address of token to bridge on the destination chain. Must be used together with parameter inputToken. For ETH, use the wrapped address, like WETH.
Note that the address provided must match the token address on the specified destinationChainId below.
Chain ID where the specified inputToken exists.
1 <= value1 | 10 | 137 | 324 | 8453 | 42161 | 59144 | 84532 | 421614 | 11155420 | 11155111The intended destination chain ID of the bridge transfer.
1 <= value1 | 10 | 137 | 324 | 8453 | 42161 | 59144 | 84532 | 421614 | 11155420 | 11155111Amount of the token to transfer.
Note that this amount is in the native decimals of the token. So, for WETH, this would be the amount of human-readable WETH multiplied by 1e18. For USDC, you would multiply the number of human-readable USDC by 1e6.
1 <= valueRecipient of the deposit. Can be an EOA or a contract. If this is an EOA and message is defined, then the API will throw a 4xx error.
Example: 0xc186fA914353c44b2E33eBE05f21846F1048bEda
Calldata passed to the recipient if recipient is a contract address. This calldata is passed to the recipient via the recipient's handleV3AcrossMessage() public function.
Example: 0xABC123
Optionally override the relayer address used to simulate the fillRelay() call that estimates the gas costs needed to fill a deposit. This simulation result impacts the returned suggested-fees. The reason to customize the EOA would be primarily if the recipientAddress is a contract and requires a certain relayer to submit the fill, or if one specific relayer has the necessary token balance to make the fill.
Example: 0x428AB2BA90Eba0a4Be7aF34C9Ac451ab061AC010
Used to define whether you want to allow unmatched decimals between the input and output tokens. For tokens with mismatched decimals in the origin and destination chain the API will throw an error if this is not explicitly set to true. Defaults to false.
Response Body
application/json
application/json
application/json
curl -X GET "https://app.across.to/api/limits?inputToken=0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2&outputToken=0x4200000000000000000000000000000000000006&originChainId=1&destinationChainId=10&amount=1000000000000000000&allowUnmatchedDecimals=false"{
"minDeposit": "134349011863017",
"maxDeposit": "1659439975009194758428",
"maxDepositInstant": "231397155893653275446",
"maxDepositShortDelay": "1659439975009194758428",
"recommendedDepositInstant": "231397155893653275446",
"relayerFeeDetails": {
"relayFeeTotal": "141442042216",
"relayFeePercent": "1414420422160000000000000000",
"gasFeeTotal": "141442042216",
"gasFeePercent": "1414420422160000000000000000",
"capitalFeeTotal": "0",
"capitalFeePercent": "0"
},
"gasFeeDetails": {
"nativeGasCost": "137265",
"opStackL1GasCost": "3993981356",
"gasPrice": "1000740",
"tokenGasCost": "141360557456"
}
}{
"type": "AcrossApiError",
"code": "MISSING_PARAM",
"status": 400,
"message": "Query param 'token' or 'inputToken' and 'outputToken' must be provided"
}{
"type": "AcrossApiError",
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal server error"
}Retrieve available routes for transfers GET
Returns available routes based on specified parameters.
Retrieve suggested fee quote for a deposit. GET
Returns suggested fees based on `inputToken`, `outputToken`, `originChainId`, `destinationChainId`, and `amount`. Also includes transfer limits of the system and data used to compute the fees.